=== debian/changelog ===
ledger (3.1.2~pre1+g3a00e1c+dfsg1-5build5) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:23:46 +0000

ledger (3.1.2~pre1+g3a00e1c+dfsg1-5build4) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:55:29 +0000

ledger (3.1.2~pre1+g3a00e1c+dfsg1-5build3) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:30:31 +0000

ledger (3.1.2~pre1+g3a00e1c+dfsg1-5build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:18:20 +0000

ledger (3.1.2~pre1+g3a00e1c+dfsg1-5build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:27:45 +0000

ledger (3.1.2~pre1+g3a00e1c+dfsg1-5) unstable; urgency=medium

  * fix mangled patch exports (patching out deleted files)

 -- David Bremner <bremner@debian.org>  Mon, 07 Aug 2017 09:21:56 -0400

ledger (3.1.2~pre1+g3a00e1c+dfsg1-4) unstable; urgency=medium

  * Add maintscripts to remove obsolete startup files. Bug fix: "emacs
    startup provided in wrong package", thanks to bdale@gag.com (Bdale
    Garbee); (Closes: #857585)

 -- David Bremner <bremner@debian.org>  Sat, 05 Aug 2017 09:13:07 -0400

ledger (3.1.2~pre1+g3a00e1c+dfsg1-3) unstable; urgency=medium

  * Bug fix: "ledger deb package should suggest ledger-el", thanks to
	  Thierry (Closes: #843112).
  * Swap uploader and maintainer to better direct bug reports

 -- David Bremner <bremner@debian.org>  Wed, 19 Jul 2017 14:54:13 -0300

ledger (3.1.2~pre1+g3a00e1c+dfsg1-2) unstable; urgency=medium

  * convert ledger-el to elpa-ledger (using dh-elpa).  Bug fix: "Fails to
	  install if emacs23 is still installed", thanks to Tollef Fog Heen
	  (Closes: #839682).

 -- David Bremner <bremner@debian.org>  Wed, 05 Oct 2016 22:40:14 -0300

ledger (3.1.2~pre1+g3a00e1c+dfsg1-1) unstable; urgency=medium

  * New upstream release snapshot
  * Cherry-pick upstream pull request 465. Bug fix: "FTBFS on buildds
	  after gcc6/icu57/boost1.61", thanks to Mattia Rizzolo (Closes:
	  #833753).

 -- David Bremner <bremner@debian.org>  Tue, 13 Sep 2016 11:55:15 -0300
