=== debian/control ===
Source: ledger
Section: utils
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Uploaders: Matt Palmer <mpalmer@debian.org>
Build-Depends: debhelper (>= 8), cmake, libgmp3-dev, libpcre3-dev,
	libexpat1-dev, libofx-dev, libmpfr-dev, libboost-regex-dev,
	libboost-date-time-dev, libboost-filesystem-dev,
	libboost-iostreams-dev, libboost-serialization-dev,
	libboost-test-dev, man2html-base, python, texinfo, texlive,
	libutfcpp-dev, libboost-python-dev, dh-python,
	dh-strip-nondeterminism, dh-elpa
Standards-Version: 3.9.6
Homepage: http://ledger-cli.org
Vcs-Git: git://anonscm.debian.org/git/collab-maint/ledger.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ledger.git;a=summary

Package: ledger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: elpa-ledger, python-ledger
Description: command-line double-entry accounting program
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.

Package: elpa-ledger
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Conflicts: emacsen-common (<< 2.0.0)
Breaks: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Replaces: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Suggests: ledger
Enhances: ledger
Description: command-line double-entry accounting program (emacs interface)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the emacs interface.

Package: ledger-el
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${misc:Depends}, elpa-ledger
Description: command-line double-entry accounting program (emacs interface)
 .
 This is a transitional package, and can safely be removed.


Package: python-ledger
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: command-line double-entry accounting program (python extension)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the python module

Package: ledger-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    ledger (= ${binary:Version}),
    ${misc:Depends}
Description: command-line double-entry accounting program (debug symbols)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package contains the debugging symbols for ledger.
