=== src/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,6 @@
   times.cc
   error.cc
   utils.cc
-  strptime.cc
   wcwidth.cc)
 
 if (HAVE_BOOST_PYTHON)
@@ -134,24 +133,35 @@
   value.h
   views.h
   xact.h
-  strptime.h
   ${PROJECT_BINARY_DIR}/system.hh)
 
+# Windows provides no strptime(), so supply our own.
+if (WIN32 OR CYGWIN)
+  list(APPEND LEDGER_INCLUDES
+    strptime.h)
+  list(APPEND LEDGER_SOURCES
+    strptime.cc)
+endif()
+
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-  if ((CMAKE_CXX_COMPILER MATCHES "clang") OR (CMAKE_CXX_COMPILER MATCHES "cxx"))
+  if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
     add_definitions(
-      -Weverything
-      -Wno-disabled-macro-expansion
-      -Wno-padded
-      -Wno-weak-vtables
-      -Wno-exit-time-destructors
-      -Wno-global-constructors
-      -Wno-switch-enum
-      -Wno-missing-prototypes
-      -Wno-missing-noreturn
-      -Wno-unused-parameter
-      -Wno-c++98-compat
-      -fno-limit-debug-info)
+      # -Weverything
+      # -Wno-disabled-macro-expansion
+      # -Wno-padded
+      # -Wno-weak-vtables
+      # -Wno-exit-time-destructors
+      # -Wno-global-constructors
+      # -Wno-switch-enum
+      # -Wno-missing-prototypes
+      # -Wno-missing-noreturn
+      # -Wno-unused-parameter
+      # -Wno-c++98-compat
+      # -fno-limit-debug-info
+      -Wno-\#pragma-messages
+      -Wno-unused-local-typedef
+      --system-header-prefix=include/boost/
+      --system-header-prefix=boost/)
 
     macro(ADD_PCH_RULE _header_filename _src_list _other_srcs)
       set(_pch_filename "${_header_filename}.pch")
@@ -189,7 +199,7 @@
         DEPENDS ${_header_filename})
     endmacro(ADD_PCH_RULE _header_filename _src_list _other_srcs)
 
-  elseif(CMAKE_CXX_COMPILER MATCHES "g\\+\\+")
+  elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
     set(GXX_WARNING_FLAGS
       -pedantic
       -Wall
@@ -237,7 +247,7 @@
 
       get_directory_property(DIRINC INCLUDE_DIRECTORIES)
       foreach(_inc ${DIRINC})
-        list(APPEND _args "-isystem " ${_inc})
+        list(APPEND _args "-I" ${_inc})
       endforeach(_inc ${DIRINC})
 
       separate_arguments(_args)
@@ -257,7 +267,9 @@
   endmacro(ADD_PCH_RULE _header_filename _src_list _other_srcs)
 endif()
 
-add_pch_rule(${PROJECT_BINARY_DIR}/system.hh LEDGER_SOURCES LEDGER_CLI_SOURCES)
+if(PRECOMPILE_SYSTEM_HH)
+  add_pch_rule(${PROJECT_BINARY_DIR}/system.hh LEDGER_SOURCES LEDGER_CLI_SOURCES)
+endif()
 
 include(GNUInstallDirs)
