=== debian/changelog ===
ledger (3.1.2+dfsg1-1) unstable; urgency=medium

  [ David Bremner ]
  * Update Vcs-Git and Vcs-Browser for the move to salsa
  * New upstream release.
  * Bug fix: "CVE-2017-2808: Ledger CLI Account Directive Use-After-Free
    Vulnerability", thanks to Salvatore Bonaccorso (Closes: #876659).
  * Bug fix: "CVE-2017-2807: Ledger CLI Tags Parsing Code Execution
    Vulnerability", thanks to Salvatore Bonaccorso (Closes: #876660).
  * Bug fix: "CVE-2017-12481 CVE-2017-12482", thanks to Moritz Muehlenhoff
    (Closes: #870900).
  * Bug fix: "Upgrade to latest upstream git", thanks to Sampo Sorsa
    (Closes: #913660).
  * Bug fix: "[Mayhem] Bug report on ledger: ledger crashes with exit
    status 139", thanks to Alexandre Rebert (Closes: #716086).
  * Give up on Gnucash support (Closes: #740757).
  * Bug fix: "Payee names containing angle brackets (&quot;&lt;&gt;&quot;)
    result in corrupti reports", thanks to Anonymous (Closes: #684603).
  * Bug fix: "short option -f (for --file) missing in manpage", thanks to
    Jonas Meurer (Closes: #839634).
  * Drop binary packages elpa-ledger-mode and ledger-el, moving to new
    source package ledger-mode.

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/rules: Remove trailing whitespaces

 -- David Bremner <bremner@debian.org>  Wed, 06 Feb 2019 06:48:57 -0400
