=== debian/rules ===
--- 
+++ 
@@ -55,14 +55,14 @@
 
 	touch $@
 
-clean: 
+clean:
 	dh_testdir
 	dh_testroot
 
 	# Add here commands to clean up after the build process.
 	dh_auto_clean
 
-	dh_clean 
+	dh_clean
 
 install-arch: build-arch
 	dh_testdir -a
@@ -114,7 +114,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-get-orig-source: 
+get-orig-source:
 	bash debian/get-orig-source.sh ${UPSTREAM} upstream/${UPSTREAM}
 
 dch-snapshot:
