## ledger 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 set(Ledger_VERSION_MAJOR 3)
 set(Ledger_VERSION_MINOR 1)
-set(Ledger_VERSION_PATCH 2)
+set(Ledger_VERSION_PATCH 3)
 set(Ledger_VERSION_PRERELEASE "")
-set(Ledger_VERSION_DATE  20190205)
+set(Ledger_VERSION_DATE  20190331)
 
 set(Ledger_TEST_TIMEZONE "America/Chicago")
