=== lib/utfcpp/v2_0/samples/Makefile ===
CC = g++
CFLAGS = -g -Wall -pedantic

docsample: docsample.cpp ../source/utf8.h
	$(CC) $(CFLAGS) docsample.cpp -odocsample
