=== debian/changelog ===
ledger (3.1.3-1ubuntu7) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:51:48 +0100

ledger (3.1.3-1ubuntu6) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:28 +0100

ledger (3.1.3-1ubuntu5) focal; urgency=medium

  * Use boost1.67 to complete icu transition.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Feb 2020 17:22:27 +0000

ledger (3.1.3-1ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:31:45 +0100

ledger (3.1.3-1ubuntu3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:41:13 +0000

ledger (3.1.3-1ubuntu2) focal; urgency=medium

  * Drop build dependency on python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jan 2020 01:18:50 +0100

ledger (3.1.3-1build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:33:02 +0000

ledger (3.1.3-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:14 +0000

ledger (3.1.3-1) unstable; urgency=medium

  [ David Bremner ]
  * New upstream release
  * Don't build ledger-dbg (rely on auto generated -dbgsym package).

  [ Dimitri John Ledkov ]
  * Finish dh'ification
  * Drop python-ledger module, in preparation for python3
    transition. Closes: #945840
  * Drop obsolete inline patches for lisp (no longer exists), docs (using
    separate build-dir anyway) and rpath (just shipping the shared library
    globally now)
  * Fixup shipping private library, privately without headers & dev
    symlink.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2019 14:17:21 +0000

ledger (3.1.2+dfsg1-2) unstable; urgency=medium

  * Drop build-depends on dh_elpa, no longer needed.

 -- David Bremner <bremner@debian.org>  Wed, 06 Feb 2019 08:14:26 -0400
