=== debian/control ===
Source: ledger
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
Uploaders: Matt Palmer <mpalmer@debian.org>
Build-Depends: debhelper-compat (= 12), cmake, libgmp3-dev, libpcre3-dev,
	libexpat1-dev, libofx-dev, libmpfr-dev, libboost-regex1.67-dev,
	libboost-date-time1.67-dev, libboost-filesystem1.67-dev,
	libboost-iostreams1.67-dev, libboost-serialization1.67-dev,
	libboost-test1.67-dev, man2html-base, python3-dev, texinfo, texlive,
	libutfcpp-dev, libboost-python1.67-dev, dh-python
Standards-Version: 4.4.1
Homepage: http://ledger-cli.org
Vcs-Git: https://salsa.debian.org/debian/ledger.git
Vcs-Browser: https://salsa.debian.org/debian/ledger

Package: ledger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: elpa-ledger,
#python3-ledger
Description: command-line double-entry accounting program
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.

#Package: python3-ledger
#Architecture: any
#Section: python
#Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
#Description: command-line double-entry accounting program (python3 extension)
# Ledger is a powerful and flexible double-entry accounting system run
# entirely from the command line.  Your accounts ledger is stored in one or
# more plain-text files with a very simple and readable format, and ledger
# does the hard work of balancing your books and reporting.
# .
# This package provides the python3 module
